














                         "PAT'S FOOD SHOPPER"

                              Version 1.0

                         Documentation Manual

                                                                     2

"PAT'S FOOD SHOPPER", Version 1.0  (c) Copyright 1990, Pat Boudreau

     This program may be freely copied and distributed on a non-
commercial basis only, provided that the program, documentation, and 
data files on the original distribution diskette are not changed or 
modified in any way.  Furthermore, all files present on the original 
distribution diskette must be present on any copies made for 
distribution.  This program is being distributed under the shareware 
concept.  Try my program and see if you like it.  If you use it, you 
must register with the author.  The registration fee is $20.00 and the 
registration form can be printed out by selecting option #4 on the 
main menu of the program.  Upon receipt of the registration fee you 
will be sent, direct from the author, the following: 
  1. Your registered copy of the program that doesn't display the 
     first two message screens. 
  2. Future versions, as they become available, free of charge. 
Future versions plan to include:
- Update one attribute on all items, and all attributes on one item.
- User defined group names, an inventory feature, and help screens.
- A setup option to configure the software package to your needs.
- User defined meals (select 7 meals instead of 50 or so items).
- Tracking of caloric values (calories per meal, per person).
- Sales tax and deposit attributes, and a coupon feature.
- Suggestions that you, the registered user, would like to see.
Your support will make this a truly successful project.  Thank you.

Please Note: 

     It is highly recommended that you read through this documentation 
manual before using the program.  Option #4 on the main menu of the 
program allows you to either view the documentation on screen or print 
it.



Disclaimer:

     The author makes no guarantees or warranties of any kind, 
expressed or implied, as to the fitness of use of this product or the 
accuracy of the accompanying documentation.  The author also assumes 
no liabilities for any damages resulting from the use of this product.  
These damages, whether actual or imagined, include but are not limited 
to:  financial, emotional, incidental, and or otherwise. 

                                                                     3

                          Table of Contents:

                                                                  
Topic                                                             Pg #



Minimum Requirements --------------------------------------------- 4

Installation and Startup ----------------------------------------- 4

Introduction ----------------------------------------------------- 5




Major Option            Sub-Option


OPTION 1.0:  ATTRIBUTES    
                        1.1 - Display Attributes ----------------- 6 
                        1.2 - Update Names ----------------------- 6 
                        1.3 - Update Prices ---------------------- 6 
                        1.4 - Update Units ----------------------- 7 
                        1.5 - Update Aisles #'s ------------------ 7

Option 2.0:  ITEMS         
                        2.1 - Display ---------------------------- 9
                        2.2 - Create ----------------------------- 9
                        2.3 - Delete ----------------------------- 9
                        2.4 - Sort ------------------------------- 10

Option 3.0:  SHOPPING LIST 
                        Introduction to Option 3.0 --------------- 11
                        3.1 - Selection of items ----------------- 11
                        3.2 - Display ---------------------------- 11
                        3.3 - Delete Items ----------------------- 12
                        3.4 - Sort and Print --------------------- 12
                        3.5 - Update Quantities of Items --------- 13

Option 4.0:  Documentation and Registration
                        4.1 - Display Documentation Manual ------- 15
                        4.2 - Print Documentation Manual --------- 15
                        4.3 - Display Registration Form ---------- 15
                        4.4 - Print Registration Form ------------ 15

Option 5.0   Quit This Program and Return to DOS ----------------- 15

Error Messages --------------------------------------------------- 16

Glossary --------------------------------------------------------- 17

                                                                     4

Minimum Requirements:  DOS 2.0 or higher, 256 K RAM (384 K RAM may be
                                          required on future versions)

Installation and Startup


     It is highly recommended that you make a backup copy of the 
original distribution diskette.  Use a working diskette.  Put the 
original away for safe keeping.  This will also allow you to make a 
copy of the original distribution diskette at a later time for 
distribution to friends, without making any changes or modifications 
to the files on the original distribution diskette.  It is also 
recommended that you make regular backups or copies of all the *.FS 
files from your working diskette.  These are the data files.  If 
anything happened to your working diskette, having a copy of the most 
recent price changes or new items would be invaluable.  This 
information may be difficult to reconstruct, if at all. 
     Under no circumstances should you attempt to alter any of the 
*.FS files by means other than through the use of the "PAT'S FOOD 
SHOPPER" program.  Doing so may result in run-time errors. 
     The following files should be present on the original 
distribution diskette that you receive:
              HEALTH  .FS
              SUPPLIES.FS
              DAIRY   .FS
              PRODUCE .FS
              BREADS  .FS
              SNACKS  .FS
              FISHMEAT.FS
              FRZNFOOD.FS
              CANNED  .FS
              BEV     .FS
              STAPLES .FS
              MISC    .FS
              SHOPLIST.FS
              REGFORM .FS
              INITSCRN.FS
              DOC     .FS
              FS      .EXE
     Check to make sure all of the above files are present.  If not, 
you don't have the complete package and the program may not work 
properly, if at all. 
     If you have a hard or fixed disk, copy all of the files into a 
subdirectory of its own.
     To run, the program must have all of the *.FS files present in 
the current subdirectory of the default drive.  To start the program, 
at the DOS prompt simply type FS, ENTER, and you're up and running.  
If the program file, FS.EXE, is located on another drive or 
subdirectory, precede the "FS" with the drive name or subdirectory of 
where FS.EXE resides, such as A:FS or C:\FOOD\FS, or have its name 
included in the path statement.  This may be a situation where you 
have several sets of data files, the *.FS files.  One set of data 
files for each store.  These sets of data files may be located on 
different diskettes or in different subdirectories.  The program file, 
FS.EXE, needs only to exist in one place.  Locate yourself where the 
data files are, and then call upon the program file by preceding its 
name with its location or have its location included in the path 
statement.

                                                                     5

INTRODUCTION:


     Welcome to "Pat's Food Shopper".  This a completely menu-driven 
program designed to aid you in selecting and creating a grocery 
shopping list.  It will tell you, throughout the item selection 
process, the dollar total of the list.  It will then sort the list 
according to aisle # when printing so that items within the same store 
aisle will be grouped together on the list.  I have found from 
personal experience that this is a real time saver.  I don't know how 
many times I have gone through the grocery store and, after going 
through 5 or 6 aisles, discovered that I overlooked an item on my 
shopping list that didn't get picked up in aisle # 1.  This program is 
best suited if you do most or all of your shopping at one grocery 
store.  It is entirely possible, however, to have several sets of data 
files - one for each store - if so desired. 
     In the beginning, a small investment of time is needed to 
customize this software package to suit your specific needs and 
situation.  Take a few minutes to map the grocery store and determine 
where items are located.  Do this by assigning them aisle #'s. This 
takes relatively little time to accomplish, and the benefits are well 
worth it.  With all of the information on disk, selection of items for 
the shopping list later on is simple and fast.  Information associated 
with an item can be changed or updated at any time. 
     The program is split up into five major options.  Within each 
major option are several sub-options.  The main menu displays the name 
of each major option along with a brief description of each sub-
option.  The options are discussed in more detail in the following 
sections. 
     Select the number of the desired major option and press ENTER.  
Once you are inside a major option, select the number of the desired 
sub-option and press ENTER.  Once you are inside a sub-option, select 
the desired group #.  Some sub-options don't have group #'s, depending 
on their purpose.  The program won't allow a number selection that 
doesn't exist.  Press ESC or BACKSPACE and try again.  BACKSPACE backs 
you up one character at a time and ESC takes you back to the beginning 
of your input. 
     In certain parts of the program you are prompted to type in text.  
This may be the name of an item, or simply a "Y" or "N" for a yes or 
no action to be taken.  Regardless of where you are located in the 
program, upper case or lower case alphabetical characters, or a 
combination of both, may be typed in.  It is a matter of personal 
preference and doesn't affect the operation of the program.   
     Take note of the message that often appears at the bottom of the 
screen.  It will tell you of alternative actions that can be taken 
instead of choosing a number selection.  As a rule of thumb, pressing 
ENTER without the input of any characters backs you out of the program 
to the previous screen or option.  There are a few exceptions, but 
they will always be noted in the message at the bottom of the screen. 

                                                                     6

OPTION 1.0   ATTRIBUTES


Option 1.1 - Display Attributes of Items

     This option allows you to display items along with their 
associated characteristics or attributes.  Attributes are things such 
as Name, Price, Units, and Aisle #.  Items in each group have been 
provided as examples of how this information will appear when 
displayed.  You may at some later time probably want to update these 
items or delete them altogether and create new ones. 

Options 1.2 through 1.5 - Update the Attributes

      You may update any of the four attributes - Name, Price, Units, 
and Aisle #  - with these options. 
     
Option 1.2 - Update Names

     The name can be up to twenty characters in length.  Keep 
information between brackets.  This helps you to stay within the 
maximum number of characters allowed when prompted for an input.  
Pressing BACKSPACE or ESC before pressing ENTER will allow you to 
correct a mistake.  Items with the same exact name cannot exist within 
the same group.  If you attempt to ENTER a name that already exists in 
that group, the program beeps and again prompts you for the name.  
Variations of a name, such as "Diapers-large" and "Diapers-small", are 
permitted.  If updating the name of an item which is also on the 
current shopping list (last list created), the name of that item is 
also updated on the shopping list.  When prompted for a price, 
pressing ENTER without the input of any characters causes the current 
name to remain the same. 
     An item can only be selected if it is being displayed as a 
choice.  If there are more than 40 items, press ENTER without the 
input of any characters.  This scrolls to the next 40 items, allowing 
an item here to be selected and updated. 

Option 1.3 - Update Prices

     This is the price of the product per unit.  Units are things such 
as lb., gal., box, bottle, each or anything you specify in the "Units" 
attribute.  The price should be the cost of one of these units.  
Prices must be from $0.00 to $99.99.  Entering ".5", ".50" and "0.50" 
work equally as well and is a matter of preference.  Decimal points 
are not necessary, however, and whole dollar prices may be entered as 
a "2" or "3".  Do not use the "$" symbol when entering the price.  
When displayed, however, this same number will always be displayed as 
"$ 0.50".  The price can be up to five characters in length, including 
the decimal point.  Keep information between brackets.  This helps you 
to stay within the maximum number of characters allowed when prompted 
for an input.  
     If updating the price of an item which is also on the current 
shopping list (last list created), the price of that item is also 
updated on the shopping list.  This is provided for updating prices 
while not having to update the current shopping list all over again.  
This allows the current dollar total of the shopping list to fluctuate 
with changing prices.  This can also be very useful when updating 
prices after already selecting your shopping list. 

                                                                     7

     Items which are taxable or which have a deposit of some kind 
should have this extra cost included in the price of the item.  Future 
versions of my program will include tax and deposit attributes so that 
these types of costs are accounted for automatically.  When prompted 
for a price, pressing ENTER without the input of any characters causes 
the current price to remain the same. 
     An item can only be selected if it is being displayed as a 
choice.  If there are more than 40 items, press ENTER without the 
input of any characters.  This scrolls to the next 40 items, allowing 
an item here to be selected and updated. 

Option 1.4 - Update Units

     Units are the sizes in which items are commonly purchased.  Units 
can be up to seven characters in length.  Keep information between 
brackets.  This helps you to stay within the maximum number of 
characters allowed when prompted for an input.  Please note that 
whatever unit you give an item is the same unit that you will be 
prompted for in selecting the shopping list.  For instance, you give 
"Milk" units of "Gal".  You will be prompted, when selecting items on 
the shopping list, for how many "Gal(s)" are desired.  If updating the 
unit of an item which is also on the current shopping list (last list 
created), the unit of that item is also updated on the shopping list.  
When prompted for a unit, pressing ENTER without the input of any 
characters causes the current units to remain the same. 
     An item can only be selected if it is being displayed as a 
choice.  If there are more than 40 items, press ENTER without the 
input of any characters.  This scrolls to the next 40 items, allowing 
an item here to be selected and updated. 

Option 1.5  - Update Aisle #'s  
  
     The aisle # can be up to three characters in length.  Keep 
information between brackets.  This helps you to stay within the 
maximum number of characters allowed when prompted for an input.  The 
aisle you shop in first should be aisle #1, and so forth.  Letters, 
whole numbers, or both may be used.  An aisle # may also be expressed as 
"A6" or "6A".  When prompted for an aisle #, pressing ENTER without 
the input of any characters causes the current aisle # to remain the 
same. 
     An item can only be selected if it is being displayed as a 
choice.  If there are more than 40 items, press ENTER without the 
input of any characters.  This scrolls to the next 40 items, allowing 
an item here to be selected and updated. 
     If updating the aisle # of an item which is also on the current 
shopping list (last list created), the aisle # of that item is also 
updated on the shopping list.  Sorting of the shopping list is done 
according to the alphabetical and numerical values of the aisle #'s.  
Aisle #'s, when sorted, are grouped on the shopping list as follows: 
       
  Aisle #'s expressed as "???" will be grouped together and appear 
  first on shopping list.  Amongst themselves, they will be sorted in 
  the order in which the items they belong to were selected to be on 
  the shopping list. 
         
  Aisle #'s beginning with alphabetical characters will be grouped 
  together and appear second on the shopping list.  Amongst 
  themselves, they will be sorted in alphabetical order. 

                                                                     8

  Aisle #'s beginning with numbers will be grouped together and appear 
  third on the shopping list.  Amongst themselves, they will be sorted 
  in numerical order first and alphabetical order secondly.  What this 
  means is that if you have aisle #'s with the same numerical value 
  but are also followed by letters, the alphabetical part of the aisle 
  # will also be sorted.  To give an example:  you have three aisle 
  #'s, "6B", "6C", and "6A".  They will be sorted in this order:  
  "6A", "6B", and "6C".  Aisle # "6C" will come before aisle # 7, and 
  so forth.  This can be very useful when a very large aisle exists 
  and you want to break it up into two or more sections.

                                                                     9

Option 2.0   ITEMS


Option 2.1 - Display Items 

     This option allows you to display the names of items in a group.  
It is very similar to option 1.1 with one exception - it doesn't 
display the other three attributes, just the names.  This is a quick 
way to find out if a particular item exists in a group.  It will 
display forty names per screen instead of only 20 names per screen as 
in option 1.1.  

Option 2.2 - Create Items

     This option allows you to add items to a group of your choice.  A 
maximum of 80 items are allowed in each group, for a combined total of 
960 items in 12 groups.  When prompted for the name of a new item, if 
ENTER is pressed without the input of any characters then no item is 
actually created and you are brought back to the previous menu.  If 
you do input characters for the name, then an item is created.  You 
are then prompted for its remaining attributes of price, units, and 
aisle #. 
     Notice what happens to these remaining attributes, however, when 
pressing ENTER without the input of any characters.  The program will 
give these attributes values of its own.  These are called default 
values.  They are the ones shown between the set of brackets to the 
immediate left of where you are prompted for an input.  The default 
price is $ 0.00.  The default units and aisle #'s are given question 
marks.  The number of question marks is equal to the maximum # of 
characters allowed for that type of attribute.  If you are uncertain 
as to what the price, units, or aisle # is, just give it the default 
value.  You can always go back and update it later in option 1.2 
through 1.5.  When displaying the attributes, or displaying or 
printing the shopping list, these default values stick out like sore 
thumbs.  This makes them easier to spot when you need to find them.  
Items given a default value for aisle # will be grouped together and 
appear first on the shopping list.  
     Names can contain up to twenty characters in length.  Prices can 
contain up to five characters in length, including the decimal point, 
and must be from $ 0.00 to $ 99.99.  Decimal points are not necessary, 
however, and whole dollar prices may be entered as a "2" or "3".  Do 
not use the "$" symbol when entering a price.  Items which are taxable 
or which have a deposit of some kind should have this extra cost 
included in the price of the item.  Future versions of my program will 
include tax and deposit attributes so that these types of costs are 
accounted for automatically.  Units can contain up to seven characters 
in length.  Aisle #'s can be up to three characters in length and 
contain letters, whole numbers, or both.  Keep information between 
brackets.  This helps you to stay within the maximum number of 
characters allowed when prompted for an input. 

Option 2.3 - Delete Items

     This option allows you to delete an item in a group.  The 
remaining items are re-numbered when displayed.  Selecting the letter 
"D" instead of the number choice of an item will allow you to delete 
all items in that group.  Be careful with this command - you can wipe 
out a lot of information in one keystroke.  Deleting all items from 

                                                                    10

all groups at the same time is not allowed.  This was an intentional 
aspect of the program to have some degree of protection against 
indiscriminately losing all of your data.  If an item is selected 
which is also on the current shopping list, the item will be removed 
from the shopping list as well. 
     An item can only be selected if it is being displayed as a 
choice.  If there are more than 40 items, press ENTER without the 
input of any characters.  This scrolls to the next 40 items, allowing 
an item here to be selected and deleted. 

Option 2.4 - Sort Items

     This option allows items within a group to be sorted by 
alphabetical order according to name.  This makes it easier to find 
items in a group when selecting items for the shopping list.  
Selecting the letter "S", instead of a group number, will sort all 
items in all groups at one time - a real time saver. 

                                                                    11

Option 3.0   SHOPPING LIST


Introduction to Option 3.0

     This is the third major option and deals with most aspects of the 
shopping list.  When first gaining access to this section, you will be 
prompted "START A NEW SHOPPING LIST? (Y/N)_".  Selecting "N" loads the 
current or last shopping list on which you were working.  You can then 
add to it and so forth.  Selecting "Y" erases the current or last 
shopping list so that a new shopping list can be started.  Be careful 
- you can wipe out your current working shopping list by selecting 
"Y". 

Option 3.1 - Selection of Items

     This option allows you to add to the current shopping list the 
items you want to buy.  Select a group #.  After selecting a group # 
and then having its items displayed, notice that the current total is 
displayed at the bottom of the screen.  This increases with every item 
selected, unless an item has a price of zero.  The current total lets 
you know the bottom line while selecting items.  This makes it much 
easier when trying to stay within a budget. 
     Then select an item # within that group.  You will be prompted 
for a quantity.  The quantity represents how many units of the item 
you want.  Let's say you selected milk and the price shown is $2.00 / 
Gal.  Selecting a quantity of "1" Gal(S) will place the item on the 
shopping list and add $2.00 to the current total.  Selecting a 
quantity of "2" Gal(S) will add $4.00 to the current total, and so 
forth.  The program calculates the price multiplied by the quantity, 
to come up with the cost for that item.  Entering fractional 
quantities are allowed and must be entered as a decimal.  For 
instance, "1.5" Gal(S) is fine and will properly calculate the current 
total.  Entering a quantity of zero or one that begins with an 
alphabetical character causes a beep and again prompts you for the 
quantity.  When prompted for a quantity, pressing ENTER without the 
input of any characters brings you back to the previous menu and this 
item is not added to the shopping list. 
     Items can occur only once on the shopping list.  If you select an 
item that is already on the list, the program beeps and displays such 
a message.  Press ENTER to continue and you are brought back to your 
previous choice of items.  This is a very useful function.  In the 
process of selecting items for the shopping list, it is sometimes easy 
to forget that an item has already been selected.  This function 
alerts you to the fact and does not allow the item to be added twice.  
It can be an annoyance having the same item listed twice, not to 
mention the fact that it artificially inflates the current total.  
     There is a limit of 200 items that can be on the shopping list.  
Attempting to put more than 200 items on the list causes a beep and an 
explanatory message is displayed. 
     An item can only be selected if it is being displayed as a 
choice.  If there are more than 40 items, press ENTER without the 
input of any characters.  This scrolls to the next 40 items, allowing 
an item here to be selected and placed on the shopping list. 

Option 3.2 - Display Current Shopping List

     This option allows you to display the current shopping list, 20 

                                                                    12

items at a time.  The "PgUp" and "PgDn" keys will allow you to view 
the previous and following screens, respectively.  "Home" and "End" 
keys will allow you to view the first and last screens, respectively.  
Pressing ENTER brings you back to the previous menu.  
     Option 3.2 always shows you an updated shopping list.  Back out 
of this option and add or delete some items, or simply change some of 
their quantities.  When you come back to option 3.2 to display the 
shopping list, these changes will be reflected. 
     The current total is displayed at the bottom of the screen.  
Changes to the number of items or their quantities causes changes to 
be reflected in the current total as well, unless these changes 
involve items with prices of zero. 
     Take note of one of the headings at the top of the screen.  Look 
at the last column on the right.  It reads "GP#".  This stands for 
"Group #".  This refers to the number of the group in which the item 
is located.  "HEALTH AND BEAUTY AIDS" is "GP#" 1, "HOUSEHOLD SUPPLIES" 
is "GP#" 2, and so forth.  This is very useful information.  If you 
want to change an attribute of an item, it may be possible at times to 
forget where the item is located.  "GP#" tells you this. 
     Items are displayed in the order in which they are selected to be 
on the shopping list.  This will change, however, after option 3.4 is 
executed.  Option 3.4 sorts the shopping list according to aisle # and 
then sends it to the printer in this same sorted order.  The shopping 
list is also saved to file in this new sorted order.  As a result, 
displaying the shopping list using option 3.2, after executing option 
3.4, will show the items in their new sorted order.  This can be 
helpful.  Items displayed on the screen in the same order as the 
printout in your hand can make items easier to locate and compare. 

Option 3.3 - Delete Items From Current Shopping List

     This option allows you to delete or remove items from the current 
shopping list.  The shopping list is displayed and you select the 
number of the desired item.  The remaining items are re-numbered to 
reflect this change in the shopping list. 
     The current total is displayed at the bottom of the screen.  
Deletions from the shopping list updates the current total.  A new 
lower current total will be displayed after each deletion is made, 
unless the item being deleted has a price of zero. 
     Only an item that is actually being displayed can be selected.  
If the first 20 items are being displayed and you select item # 24, 
nothing happens.  Press BACKSPACE to backup one character at a time or 
ESC to backup all the way to enter a new item #.  "PgUp", "PgDn", 
"Home", and "End" gets you to the particular screen where an item is 
located so that the item can be selected and deleted.  The "PgUp" and 
"PgDn" keys allows you to view the previous and following screens, 
respectively.  "Home" and "End" keys allows you to view the first and 
last screens, respectively.  Pressing ENTER without the input of any 
characters backs you out to the previous menu. 

Option 3.4 - Sort and Print Current Shopping List

     This option simply sorts the current shopping list according to 
aisle # and then sends it to the printer in this same sorted order.  
If you have an unusually long shopping list, be patient.  The sort may 
take some time.  Future versions of "PAT'S FOOD SHOPPER" will include 
a setup option.  You may decide that only whole numbers, and no 
letters, are going to be used in the aisle #'s.  This fact can be 

                                                                    13

entered into the setup option.  Every time the program is subsequently 
run, the program automatically recognizes this preset condition and 
won't sort alphabetically, just numerically.  This will make the sort 
much faster. 
     If you wish to print out a second copy of the same shopping list, 
it won't go through another tedious sort.  The program knows if the 
shopping list has already been sorted.  If so, it immediately sends 
the shopping list to the printer.  If any more items are added to the 
shopping list or if any aisle #'s of items on the shopping list are 
changed or updated, it will re-sort before printing the next time 
option 3.4 is executed.  Deleting items from the shopping list does 
not cause a re-sort when option 3.4 is subsequently executed.  
Deleting items doesn't change their order.  It simply takes the 
remaining items and "squeezes" them closer together. 
     When using option 3.2, items are displayed in the order in which 
they are selected to be on the shopping list.  This will change, 
however, after option 3.4 is executed.  In addition to sorting and 
printing, option 3.4 also saves the shopping list to file in this new 
sorted order.  As a result, displaying the shopping list using option 
3.2, after executing option 3.4, will show the items in their new 
sorted order.  This can be helpful.  Items displayed on the screen in 
the same order as the printout in your hand can make items easier to 
locate and compare. 
     Sorting is done according to the alphabetical and numerical 
values of the aisle #'s.  Aisle #'s are limited to three characters in 
length.  The aisle you shop in first should be aisle #1, and so forth.  
Letters, whole numbers, or both may be used.  An aisle # may also be 
expressed as "A6" or "6A". Aisle #'s, when sorted, will be grouped on 
the shopping list as follows: 
       
   Aisle #'s expressed as "???" will be grouped together and appear 
   first on shopping list.  Amongst themselves, they will be sorted in 
   the order in which the items they belong to were selected to be on 
   the shopping list. 
           
   Aisle #'s beginning with alphabetical characters will be grouped 
   together and appear second on the shopping list.  Amongst 
   themselves, they will be sorted in alphabetical order. 
          
   Aisle #'s beginning with numbers will be grouped together and 
   appear third on the shopping list.  Amongst themselves, they will 
   be sorted in numerical order first and alphabetical order secondly.  
   What this means is that if you have aisle #'s with the same 
   numerical value but are also followed by letters, the alphabetical 
   part of the aisle # will also be sorted.  To give an example:  you 
   have three aisle #'s, "6B", "6C", and "6A".  They will be sorted in 
   this order:  "6A", "6B", and "6C".  Aisle # "6C" will come before 
   aisle # 7, and so forth.  This can be very useful when a very large 
   aisle exists and you want to break it up into two or more sections. 

     When printing the shopping list, a new column heading is seen. It 
is located on the far right and is called "NOTES".  This is provided 
so that the shopper may write down any comments about an item.  Maybe 
this item was observed to have a new price, rather than the one 
currently seen on the shopping list.  Make a written note of this new 
price and update the price of that item later on at home. 

                                                                    14

Option 3.5 - Update Quantities of Items on Current Shopping List

     This option allows items already on the current shopping list to 
have their quantities updated.  Select the number of an item on the 
list that you want to change.  The current quantity is displayed and 
you are prompted for a new quantity.  If an attempt is made to enter a 
quantity of zero or a quantity that begins with an alphabetical 
character, the program beeps and again prompts you for the quantity.  
When prompted for a quantity, pressing ENTER without the input of any 
characters causes the current quantity to remain the same and brings 
you back to your previous choice of items.  
     Only an item that is actually being displayed can be selected.  
If the first 20 items are being displayed and you select item # 24, 
nothing happens.  Press BACKSPACE to backup one character at a time or 
ESC to backup all the way to enter a new item #.  "PgUp", "PgDn", 
"Home", and "End" gets you to the particular screen where an item is 
located so that the item can be selected and its quantity updated.  
The "PgUp" and "PgDn" keys allows you to view the previous and 
following screens, respectively.  "Home" and "End" keys allows you to 
view the first and last screens, respectively.  Pressing ENTER without 
the input of any characters backs you out to the previous menu. 
     The current total is displayed at the bottom of the screen.  It 
changes every time the quantity of an item is updated, unless that 
item has a price of zero.  This is a handy feature when wanting to 
know what the immediate bottom line will be when changes in quantities 
are made. 

                                                                    15

Option 4.0 - Documentation and Registration


Option 4.1 - Display Documentation Manual

     Selecting this option allows you to view the documentation manual 
on the screen, twenty lines at a time.  "PgDn" shows the next screen 
and ENTER backs you out to option 4.0. 

Option 4.2 - Print Documentation Manual

     This option sends the documentation manual to the printer so that 
you may have a hard copy of it.  The manual is nineteen pages long. 

Option 4.3 - Display Registration Form

     Selecting this option allows you to view the registration form on 
the screen, twenty lines at a time.  "PgDn" shows the next screen and 
ENTER backs you out to option 4.0. 

Option 4.4 - Print Registration Form

     This option sends the registration form to the printer so that 
you can fill it out and mail it in.  The registration form is one page 
long. 






Option 5.0   Quit This Program and Return to DOS


     This option ends the program, clears the screen, and returns you 
to DOS.  Be sure to make backup copies of the *.FS files, the data 
files.  Having a copy of the most recent price changes or new items 
can be invaluable.  This information may be difficult to reconstruct, 
if at all. 

                                                                    16
Error Messages


     If an error occurs, the program beeps several times and then 
displays a message.  The message tells you that an error has occurred 
and why.  Things that can go wrong range from printer and disk drive 
errors to errors of unknown causes. 
     If the "File Not Found" error occurs, this usually means that one 
of the *.FS files is not present.  Check the directory listing on the 
diskette.  The "Installation and Startup" section on page 4 of this 
manual lists all of the files that should be present on the original 
distribution diskette you receive.  Compare this list with what is 
actually on the disk to see if you have all of the *.FS files present.  
If all of the *.FS files are not present, the program may not work 
properly, if at all. 
     If an error occurs and there is no way to immediately correct the 
problem (turn on printer, etc.), you are trapped and won't be able to 
continue on in the program.  Pressing ENTER simply causes the same 
error to occur.  You can, however, exit to DOS from this point.  While 
holding down the CONTROL key, press the BREAK key.  Then press ENTER.  
This causes the program to terminate and bring you back to DOS. 
     Under no circumstances should you attempt to alter any of the 
*.FS files by means other than through the use of the "PAT'S FOOD 
SHOPPER" program.  Doing so may result in run-time errors (error #62).  
Registered users -  please try using your most recent backups of the 
*.FS files before writing to the author for assistance. 
     If an unknown error has occurred, registered users please take 
note of the error number.  Mail this error number, along with a DS/DD 
diskette containing all of the *.FS files that existed at the time the 
error occurred, to the author.  An explanation of what sub-option of 
the program was being used at the time and any other symptoms would be 
extremely helpful to me in pinpointing the problem.  I will make an 
immediate attempt to correct problems that registered users are 
having.  Please include the registration number with on any 
correspondence. 

                                                                    17

Glossary





Attribute     A characteristic of an item.  It describes an item.There 
              are four attributes.  They are:  Name, Price, Units, and 
              Aisle #. 
              

Aisle #       Aisle # is an attribute of an item.  It describes an 
              item's location in the grocery store.  It can be up to 
              three characters in length and contain letters, whole 
              numbers, or both. 
              

Current       The Current Shopping List is the shopping list that 
Shopping      exists at the moment.  It also means the last shopping 
List          list created.  Although you may have created a shopping 
              last week, it is still the current shopping list.  It 
              ceases to be "current" if you select "Y" in option 3.0 
              when prompted "START A NEW SHOPPING LIST? (Y/N)_". 


Current       The Current Total refers to the total amount of money 
Total         that will be spent on the current shopping list.  It 
              changes when items are added to the current shopping 
              list or items already on the current shopping list have 
              their quantities updated, unless these items have prices 
              of zero.
              

Data Files    Collectively, these are referred to as the *.FS files 
              found on the original distribution diskette.  They are 
              the files with filename extensions of "FS".  They must 
              all be present in the current subdirectory of the 
              default drive for the program to work properly. 
                   Under no circumstances should you attempt to alter 
              any of the *.FS files by means other than through the 
              use of the "PAT'S FOOD SHOPPER" program.  Doing so may 
              result in run-time errors (error #62).  Registered users 
              -  please try using your most recent backups of the *.FS 
              files before writing to the author for assistance. 
              

Default       These are values assigned to the attributes of items if 
Values        you do not specify a value.  The default value for price 
              is $ 0.00.  The default values for units and aisle # are 
              "???????" and "???", respectively.  The name of an item 
              has no default value.  Default values are assigned in 
              option 2.2 when you are prompted for an attribute value 
              and press ENTER without the input of any characters. 
      
             
Error Number  The number that is generated when an error occurs and 
              refers to a specific type of error known to the author.
              

                                                                    18

Group         The name of a category in which items are found.  There 
              are 12 groups and a maximum of 80 items can exist in one 
              group.


Group #       The number of a group in which items are found.  It 
              ranges from 1 to 12.

Item          A term referring to something purchased in the grocery 
              store.  It has four attributes - name, price, units, and 
              aisle #.  It is found in a group and is also listed on 
              the current shopping list.
              

Main Menu     The screen displaying the five major options with a 
              brief description of each sub-option.
              

Major Option  One of the five choices available on the Main Menu.  
              They are:
              
                   1. ATTRIBUTES
                   2. ITEMS
                   3. SHOPPING LIST
                   4. DOCUMENTATION AND REGISTRATION
                   5. QUIT THIS PROGRAM AND RETURN TO DOS
              

Name          Name is an attribute of an item.  It describes the 
              identification of an item.  It can be up to 20 
              characters in length.
              

Original      The diskette you receive from a distribution company or 
Distribution  friends.  It should contain all of the files listed on 
Diskette      page 4 of this manual.  If you plan to distribute the 
              software package to others, do not change or modify any 
              of the files on the original distribution diskette. 
             
              
Path          Refer to your DOS reference manual for an explanation of 
Statement     how the path statement is used and configured.


Price         Price is an attribute of an item.  It is equal to the 
              cost of one unit of an item.  It should include any 
              extra costs of the item, such as a tax or deposit.  It 
              can contain up to five characters, including the decimal 
              point, and must be from $ 0.00 to $ 99.99.  Decimal 
              points are not necessary, however, and whole dollar 
              prices may be entered as a "2" or "3". 
              

Program File  The file found on the original distribution diskette 
              with the name "FS.EXE".  The program can be started by 
              typing, at the DOS prompt, FS, ENTER and you're up and 
              running.  It is the only file on the original 
              distribution diskette that does not need to be in the 

                                                                    19

              current subdirectory of the default drive for the 
              program to work properly.  Locate yourself where the 
              data files are and then call upon the program file by 
              preceding its name with its location or include its name 
              in the path statement.

Quantity      The number of units of an item which is on the current 
              shopping list.  Whole or fractional numbers are allowed, 
              such as 1 Gal(S) or 1.5 Gal(S) of milk.  If fractional, 
              the number must be represented as a decimal.  Quantities 
              of zero are not allowed.
              

Sub-option    One of several choices within a major option.
              

Units         Units is an attribute of an item.  It is the size in 
              which items are normally purchased.  They are things 
              such as LB, GAL, QUART, BOTTLE, JAR, EACH, PIECE or 
              anything that you specify.  Whatever unit you give an 
              item is the same unit that you are prompted for when 
              selecting the quantity of an item to be on the shopping 
              list.  The price of an item should equal the cost of one 
              of these units. 
               

Working       The diskette containing all of the data files that have 
Diskette      been customized to suit your specific needs and 
              situation.  It is first created by making a copy of the 
              original distribution diskette.  Put the original away 
              for safe keeping and use the copy as your working 
              diskette. It is also recommended that you make regular 
              backups or copies of all the *.FS files from your 
              working diskette.  These are the data files.  If 
              anything happened to your working diskette, having a 
              copy of the most recent price changes or new items would 
              be invaluable.  This information may be difficult to 
              reconstruct, if at all.


         ----------------end-of-author's-documentation---------------

                         Software Library Information:

                    This disk copy provided as a service of

                           Public (software) Library

         We are not the authors of this program, nor are we associated
         with the author in any way other than as a distributor of the
         program in accordance with the author's terms of distribution.

         Please direct shareware payments and specific questions about
         this program to the author of the program, whose name appears
         elsewhere in  this documentation. If you have trouble getting
         in touch with the author,  we will do whatever we can to help
         you with your questions. All programs have been tested and do
         run.  To report problems,  please use the form that is in the
         file PROBLEM.DOC on many of our disks or in other written for-
         mat with screen printouts, if possible.  PsL cannot debug pro-
         programs over the telephone, though we can answer questions.

         Disks in the PsL are updated  monthly,  so if you did not get
         this disk directly from the PsL, you should be aware that the
         files in this set may no longer be the current versions. Also,
         if you got this disk from another vendor and are having prob-
         lems,  be aware that  some files may have become corrupted or
         lost by that vendor. Get a current, working disk from PsL.

         For a copy of the latest monthly software library newsletter
         and a list of the 2,000+ disks in the library, call or write

                           Public (software) Library
                               P.O.Box 35705 - F
                            Houston, TX 77235-5705

                                1-800-2424-PSL
                             MC/Visa/AmEx/Discover

                          Outside of U.S. or in Texas
                          or for general information,
                              Call 1-713-524-6394

                          PsL also has an outstanding
                          catalog for the Macintosh.

